﻿Imports System.ComponentModel

Public Class Form1

    Private Mp3Profiles As Mp3OutputProfiles

    Private Sub Form1_Load(sender As Object, e As EventArgs) Handles Me.Load
        Mp3Profiles = New Mp3OutputProfiles
    End Sub

    Private Sub Form1_Closing(sender As Object, e As CancelEventArgs) Handles Me.Closing
        Mp3Profiles.Dispose()
    End Sub

    Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click

        ' Items in der Combobox löschen
        ComboBox1.Items.Clear()

        ' ist die Media Foundation initialisiert
        If Mp3Profiles.IsInitialized Then

            ' alle MP3 Output Profiles auflisten
            Dim intCount As Integer = Mp3Profiles.ListMp3Profiles

            ' sind Output Profiles vorhanden
            If intCount > 0 Then

                Me.Text = (intCount - 1).ToString & " MP3 Output Profiles gefunden."

                ' alle Output Profiles durchlaufen
                For intItem As Integer = 0 To intCount - 1

                    ' jeweisl ein Output Profile per Index holen
                    Dim tMp3OutputProfile As Mp3OutputProfiles.MP3_OUTPUT_PROFILE = Mp3Profiles.GetMp3ProfileByIndex(intItem)

                    ' String zusammenbauen
                    Dim strProfile As String = String.Format("{0,5}", tMp3OutputProfile.AudioAvgBytesPerSecond.ToString) & " Bytes/s | " &
                                               String.Format("{0,5}", tMp3OutputProfile.AudioSamplesPerSecond.ToString) & " Samples/s | " &
                                               String.Format("{0,6}", If(tMp3OutputProfile.AudioNumChannels = 1, "Mono", "Stereo")) & " | " &
                                               String.Format("{0,3}", ((tMp3OutputProfile.AudioAvgBytesPerSecond * 8) / 1000).ToString) & "kBit/s"

                    ' String in die Combobox
                    ComboBox1.Items.Add(strProfile)

                Next

                ' ersten Item in der Combobox selektieren
                ComboBox1.SelectedIndex = 0

            Else

                Me.Text = "Keine MP3 Output Profiles gefunden!"

            End If

        End If

    End Sub

End Class
